Bug 1734449 - "hammer docker --help" states command not supported while some of its subcommands should work
Summary: "hammer docker --help" states command not supported while some of its subcomm...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Container Management - Content
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: Martin Bacovsky
QA Contact: Mirek Zalewski
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-30 14:47 UTC by Lukáš Hellebrandt
Modified: 2019-10-22 19:50 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_foreman_docker-0.0.6.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:50:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27515 Normal Closed "hammer docker --help" states command not supported while some of its subcommands should work 2019-12-17 00:39:50 UTC

Description Lukáš Hellebrandt 2019-07-30 14:47:38 UTC
Description of problem:
There are some subcommands of "hammer docker" (e.g. "hammer docker manifest list") that are supposed to work even after removing Docker CR support. However, "hammer docker", including "hammer docker --help", says:
"Unfortunately the server does not support such operation."

Version-Release number of selected component (if applicable):
Sat 6.6 snap 13

How reproducible:
Deterministic

Steps to Reproduce:
1. hammer docker --help

Actual results:
Unfortunately the server does not support such operation.

Expected results:
As some subcommands are supported, at least help should be viewable without message about command being unsupported

Additional info:
It would be nice to have this one fixed in 6.6

Comment 3 Martin Bacovsky 2019-08-05 12:26:56 UTC
Created redmine issue https://projects.theforeman.org/issues/27515 from this bug

Comment 4 Bryan Kearney 2019-08-06 12:04:01 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27515 has been resolved.

Comment 6 Mirek Zalewski 2019-09-02 13:28:01 UTC
`hammer docker --help` includes mention of two subcommands - "manifest" and "tag" ("container" and "registry" are no longer included). Both these subcommands have their own --help messages.

#v+
# hammer docker --help
Usage:
    hammer docker [OPTIONS] SUBCOMMAND [ARG] ...

Parameters:
 SUBCOMMAND                    Subcommand
 [ARG] ...                     Subcommand arguments

Subcommands:
 manifest                      Manage docker manifests
 tag                           Manage docker tags

Options:
 -h, --help                    Print help
[root@sat-6-6-qa-rhel7 ~]# hammer docker manifest --help
Usage:
    hammer docker manifest [OPTIONS] SUBCOMMAND [ARG] ...

Parameters:
 SUBCOMMAND                    Subcommand
 [ARG] ...                     Subcommand arguments

Subcommands:
 info                          Show a docker manifest
 list                          List docker_manifests

Options:
 -h, --help                    Print help
[root@sat-6-6-qa-rhel7 ~]# hammer docker tag --help
Usage:
    hammer docker tag [OPTIONS] SUBCOMMAND [ARG] ...

Parameters:
 SUBCOMMAND                    Subcommand
 [ARG] ...                     Subcommand arguments

Subcommands:
 info                          Show a docker tag
 list                          List docker_tags

Options:
 -h, --help                    Print help
#v-


Tested on:
Satellite 6.6 snap 18
satellite-6.6.0-6.el7sat.noarch
pulp-server-2.19.1.1-1.el7sat.noarch
foreman-1.22.0.21-1.el7sat.noarch
tfm-rubygem-katello-3.12.0.19-1.el7sat.noarch
tfm-rubygem-hammer_cli_katello-0.18.0.4-1.el7sat.noarch
tfm-rubygem-hammer_cli_foreman_docker-0.0.6.4-1.el7sat.noarch
tfm-rubygem-hammer_cli-0.17.1-2.el7sat.noarch
tfm-rubygem-hammer_cli_foreman-0.17.0.7-1.el7sat.noarch

Comment 7 Bryan Kearney 2019-10-22 19:50:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.